## SQL import

### 1 табличка

```
INSERT INTO `aleuhin`.`MaterialType`
(`Title`,
`DefectedPercent`)
SELECT
DISTINCT `12`.`Тип материала`, 
    0
FROM `aleuhin`.`12`;



INSERT INTO `aleuhin`.`Material`
(`Title`,
`CountInPack`,
`Unit`,
`CountInStock`,
`MinCount`,
`Cost`,
`MaterialTypeID`)
SELECT `12`.`Наименование материала`,
    `12`.`Количество в упаковке`,
   `12`.`Единица измерения`,
  `12`.`Количество на складе`,
  `12`.`Минимальный возможный остаток`,
 `12`.`Стоимость`,
MaterialType.ID
FROM 
`aleuhin`.`12`,
`aleuhin`.MaterialType
WHERE 
`12`.`Тип материала`=MaterialType.Title;
```

### 2 табличка

```
INSERT INTO `aleuhin`.`Product`
    (`Title`,
    `ArticleNumber`,
    `MinCostForAgent`,
    `Image`,
    `ProductionPersonCount`,
    `ProductionWorkshopNumber`,
    `ProductTypeID`)
SELECT `12`.`Наименование продукции`,
    `12`.`Артикул`,
    `12`.`Минимальная стоимость для агента`,
    `12`.`Изображение`,
    `12`.`Количество человек для производства`,
    `12`.`Номер а для производства`,
    ProductType.ID
FROM 
    `aleuhin`.`12`, 
    `aleuhin`.ProductType
WHERE 
    `12`.`Тип продукции`=ProductType.Title;
```


### 3 табличка

```
INSERT INTO aleuhin.ProductMaterial
(ProductID, MaterialID, `Count`)
SELECT p.ID , m.ID , 
`Необходимое количество материала`
FROM aleuhin.22222  pi, aleuhin.Product p, aleuhin.Material m 
WHERE pi.Продукция = p.Title and pi.`Наименование материала` = m.Title 
;
```